Bug 1817107 - AMQ Streams Operator 1.4.0 deploys with invalid containerImage
Summary: AMQ Streams Operator 1.4.0 deploys with invalid containerImage
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ISV Operators
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Matt Dorn
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-25 15:22 UTC by Caden Marchese
Modified: 2020-04-02 21:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Caden Marchese 2020-03-25 15:22:46 UTC
Description of problem:

When installed, the AMQ Streams operator deploys with this containerImage:

   containerImage: >-
      registry.redhat.io/amq7/amq-streams-rhel7-operator@sha256:4079eadd9a806adfbf3222f071c0498b17a6c54f9b8d199cf5af4961bcbdd83a
    createdAt: '2020-02-10T10:00:00Z'
    categories: Streaming & Messaging
    description: >-
      Red Hat AMQ Streams is a massively scalable, distributed, and high
      performance data streaming platform based on Apache Kafka®.

Events show an image pull error because the image doesn't exist, and 404s:

  Warning  Failed     75m (x4 over 77m)     kubelet, ip-172-29-225-159.us-west-2.compute.internal  Failed 
  to pull image "registry.redhat.io/amq7/amq-streams-rhel7- 
  operator@sha256:4079eadd9a806adfbf3222f071c0498b17a6c54f9b8d199cf5af4961bcbdd83a": rpc error: code = 
  Unknown desc = Error reading manifest 
  sha256:4079eadd9a806adfbf3222f071c0498b17a6c54f9b8d199cf5af4961bcbdd83a in registry.redhat.io/amq7/amq- 
  streams-rhel7-operator: error parsing HTTP 404 response body: invalid character 'F' looking for 
  beginning of value: "File not found.\""

It appears that the new operator was rolled out before the containerImage was published to registry.redhat.io.

Version-Release number of selected component (if applicable):
OpenShift 4.3
AMQ Streams Operator v1.4.0

How reproducible:
Very

Steps to Reproduce:
1. Install AMQ Streams Operator via OperatorHub or OLM
2. Pull the yaml manifest and observe the containerImage

Actual results:
404 not found

Expected results:
URL matches image

Additional info:
We don't have a workaround at this time, because we aren't sure what CRD/Operator/configuration to change and where to point the operator at the correct image.


Note You need to log in before you can comment on or make changes to this bug.